/* Change flex-direction to column-reverse to move dropdown to bottom of map */
.thematic-map .stage {
	display: flex;
	flex-direction: column;
}

.thematic-map {
	--font-family-title: var(--font-display);
	--text-color-body: var(--gray-900);

	width: 100%;
	max-width: var(--width-feature);
	margin: 0 auto var(--space-12);
	padding-top: var(--space-8);
	color: var(--text-color-body);
}

.thematic-map h2 {
	margin: 0;
	margin-bottom: var(--space-5);
	color: var(--text-color-title);
	font-family: var(--font-family-title);
	font-size: var(--text-6xl);
	font-weight: 400;
	padding: 0 var(--space-5);
}

.thematic-map.slides .header {
	display: flex;
	flex-direction: column;
	margin-bottom: var(--space-2);
}

.thematic-map.slides a.view-all {
	max-width: fit-content;
	align-self: flex-end;
	color: var(--btn-text-color);
	font-family: var(--font-family-body);
	font-size: var(--text-base);
	font-weight: 500;
	text-transform: uppercase;
	border-radius: var(--rounded-full);
	background-color: var(--btn-bg-color);
	padding: var(--space-1) var(--space-5) var(--space-1) var(--space-4);
	margin-right: var(--space-5);
}

/***
	Map Stage
****/
.thematic-map .stage {
	position: relative;
	width: 100%;
	box-shadow: var(--shadow-lg);
}

.thematic-map.top-dropdown .stage {
	flex-direction: column;
}

/***
	Map Inset
****/
.thematic-map .map .map-inset {
	position: absolute;
    width: 25%;
    top: 10px;
    left: 5px;
	z-index: 2;
}


/***
	Map SVG
****/
.thematic-map .map {
	position: relative;
	overflow: hidden;
	width: 100%;
}

.thematic-map .map svg {
	position: relative;
	width: 100%;
	height: auto;
	top: 0;
	left: 0;
	transform: none;
	margin: 0px;
}

.thematic-map .map svg [data-map-beacon] {
	cursor: pointer;
	opacity: 1;
}

.thematic-map .map svg [data-svg-id] {
	display: none;
}

.thematic-map .map svg [data-svg-id].active {
	display: block;
}

.thematic-map .map svg [data-map-poi] {
	transition: display ease 0.6s;
}

.thematic-map .map [data-map-poi].active {
	display: block;
	fill: #24b253;
}


.thematic-map .map [data-map-poi="cambridge"].active,
.thematic-map .map [data-map-poi="quincy"].active,
.thematic-map .map [data-map-poi="revere"].active,
.thematic-map .map [data-map-poi="chelsea"].active,
.thematic-map .map [data-map-poi="somerville"].active,
.thematic-map .map [data-map-poi="winthrop"].active,
.thematic-map .map [data-map-poi="everett"].active,
.thematic-map .map [data-map-poi="brookline"].active {
	display: block;
	fill: #848484;
}

/*** 
	Slider Layout 
***/


.thematic-map .regions [data-poi] {
	margin-bottom: var(--space-6);
	max-width: 100vw;
	margin-left: auto;
	margin-right: auto;
	background-color: var(--white);
}

.thematic-map .regions .image {
	position: relative;
}

.thematic-map .regions .slide-bottom .content-bottom {
	display: flex;
    flex-direction: column;
    gap: 15px;
}

.thematic-map .regions .slide-bottom .content-bottom .transportation-services p {
	font-weight: 700;
	font-size: 14px;
	line-height: var(--leading-tight);
	color: black;
}

.thematic-map .regions .slide-bottom .content-bottom .transportation-services span {
	font-size: 14px;
	color: black;
	font-weight: 400;
}

.thematic-map .regions .slide-description {
	line-height: var(--leading-tight);
	margin-top: -10px;
	color: black;
	font-size: 14px;
}

.thematic-map .regions .slide-bottom .content-bottom .travel-times-details {
	display: flex;
	gap: 10px;
}

.thematic-map .regions .slide-bottom .content-bottom .travel-times-details .time p,
.thematic-map .regions .slide-bottom .content-bottom .travel-times-details .details p {
	line-height: var(--leading-tight);
	color: black;
	font-size: 14px;
}

.thematic-map .regions .slide-bottom .content-bottom .travel-times-details .time p {
	font-weight: 700;
	color: black;
	text-align: center;
	font-family: var(--font-display);
}

.thematic-map .regions .travel-time-title,
.thematic-map .regions .views-title,
.thematic-map .regions .services-title {
	font-weight: 600;
	margin-bottom: 10px;
}

.thematic-map .regions .travel-times,
.thematic-map .regions .transportation-icons,
.thematic-map .regions .transportation-services {
	margin-bottom: 10px;
}

.thematic-map .regions .transportation-services > p {
	padding-bottom: 5px;
}

.thematic-map .regions .image::after {
	content: "";
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 50%;
	background: linear-gradient(to top, rgba(0,0,0,0.85) 0%, rgba(0,0,0,0) 100%);
	pointer-events: none;
}

.thematic-map .regions .image .img-title {
	position: absolute;
    bottom: 0px;
	font-family: var(--font-display);
	font-size: 16px;
	color: white;
	z-index: 3;
	padding: 10px;
}

.thematic-map .regions .slide[data-slide-index="1"] .image .img-title {
	display: none;
}

.thematic-map .regions .slide[data-slide-index="1"] .image .img-title-default-slide {
	position: absolute;
	bottom: 0px;
	z-index: 3;
	padding: 10px 20px;
}

.thematic-map .regions .slide[data-slide-index="1"] .image .img-title-default-slide p {
	color: white;
	display: none;
}

.thematic-map .regions .slide[data-slide-index="1"] .image .img-title-default-slide span {
	text-transform: uppercase;
	font-family: var(--font-display);
	font-size: 16px;
	color: white;
}

.thematic-map .regions .slide:not([data-slide-index="1"]) .image .img-title-default-slide {
	display: none;
}

.thematic-map .regions .slide-bottom {
	padding: 20px 11px;
	margin-bottom: var(--space-3);
}

.thematic-map .regions .slide-bottom .transportation-icons {
	display: flex;
	flex-direction: column;
	gap: 5px;
}

.thematic-map .regions .slide-bottom .transportation-icons .icons {
	display: flex;
	gap: 10px;
}

.thematic-map .regions .slide-bottom .transportation-icon {
	width: 40px;
	height: 40px;
	cursor: pointer;
}

.thematic-map .regions .slide-bottom .icons .transportation-icon[data-svg-id="gp"].active {
	content: url("../svg/subway-hover-active.svg");
}

.thematic-map .regions .slide-bottom .icons .transportation-icon[data-svg-id="fg"].active {
	content: url("../svg/commuter-hover-active.svg");
}

.thematic-map .regions .slide-bottom .icons .transportation-icon[data-svg-id="fn"].active {
	content: url("../svg/car-hover-active.svg");
}

.thematic-map .regions .slide-bottom .icons .transportation-icon[data-svg-id="none"].active {
	content: url("../svg/no-view-hover-active.svg");
}


.thematic-map .regions h3 {
	font-size: var(--text-xl);
	font-weight: 600;
	margin-bottom: 10px;
}

.thematic-map .regions a i {
	margin-left: var(--space-1);
}

/* Slider Arrows */
.thematic-map .content .arrows-mobile,
.thematic-map .content .arrows-desktop {
	display: flex;
	align-items: center;
	gap: 10px;
	min-height: 70px;
}

.thematic-map .content .arrows-mobile .read-more-button,
.thematic-map .content .arrows-desktop .read-more-button {
	flex: 1;
	position: relative;
	text-transform: uppercase;
	font-size: 16px;
	font-family: var(--font-display);
	font-weight: 600;
	margin-left: 20px;
	line-height: 20px;
}

.thematic-map .content .arrows-mobile .read-more-button span,
.thematic-map .content .arrows-desktop .read-more-button span {
	position: relative;
}

.thematic-map .content .arrows-mobile .read-more-button span:after,
.thematic-map .content .arrows-desktop .read-more-button span:after {
	content: '';
	position: absolute;
	border-bottom: solid 3px #ffc337;
	width: 100%;
	transform: translate(-100%, 100%);
	padding-bottom: 8px;
}

.thematic-map.slides .regions .glide__arrows {
	flex: 1;
	display: flex;
	justify-content: center;
	background-color: #1D2F49;
	min-height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.thematic-map.slides .regions .glide__arrows > button img {
	overflow: visible;
}

.thematic-map.slides .regions .glide__arrows .glide__arrow  {
	margin: var(--space-2) !important;
	border: none;
}

.thematic-map .content .arrows-desktop {
	display: none;
}

/*
	Desktop Overwrites
*/

@media (min-width: 64em) {
	.thematic-map .stage {
		height: auto;
		position: relative;
		display: grid;
		grid-template-columns: 2fr 1fr;
		grid-template-rows: 1fr;
		max-width: 100vw;
	}

	.thematic-map .regions .transportation-services {
		min-height: 300px;
	}

	.thematic-map .regions [data-poi] {
		margin-bottom: 0px;
	}

	.thematic-map .regions h3 {
		margin-bottom: 10px;
	}

	.thematic-map .regions .slide-bottom .content-bottom {
		flex-direction: row;
	}

	.thematic-map .regions .slide[data-slide-index="1"] .image .img-title-default-slide p {
		display: block;
	}

	.thematic-map .content .arrows-mobile {
		display: none;
	}

	.thematic-map.slides .regions .arrows-desktop .glide__arrows .glide__arrow.glide__arrow--left:hover {
		content: url("../svg/left-hover.svg");
	}
	
	.thematic-map.slides .regions .arrows-desktop .glide__arrows .glide__arrow.glide__arrow--right:hover {
		content: url("../svg/right-hover.svg");
	}

	.thematic-map .map [data-map-poi]:hover {
		fill: #61e58d;
	}

	.thematic-map .map [data-map-poi="cambridge"]:hover,
	.thematic-map .map [data-map-poi="quincy"]:hover,
	.thematic-map .map [data-map-poi="revere"]:hover,
	.thematic-map .map [data-map-poi="chelsea"]:hover,
	.thematic-map .map [data-map-poi="somerville"]:hover,
	.thematic-map .map [data-map-poi="winthrop"]:hover,
	.thematic-map .map [data-map-poi="everett"]:hover,
	.thematic-map .map [data-map-poi="brookline"]:hover {
		fill: #bfbfbf;
	}

	.thematic-map.slides .regions {
		grid-column: 2;
		grid-row: 1/ span 1;
		justify-self: end;
		align-self: center;
		width: 43vw;
		max-width: 475px;
		margin: 0;
		z-index: 10;
	}

	.thematic-map.slides .map {
		overflow-x: scroll;
		grid-column: 1;
		grid-row: 1/ span 1;
	}

	.thematic-map.slides .map svg {
		width: auto;
		height: 100%;
		margin: 0px;
	}

	.thematic-map .regions [data-poi] {
		height: 100%;
	}

	.thematic-map .regions .slide,
	.thematic-map .regions .slide .content-wrapper, 
	.thematic-map .regions .slide .content-wrapper .content {
		height: 100%;
	}

	.thematic-map .regions .slide .content-wrapper .content {
		position: relative;
	}

	.thematic-map .content .arrows-desktop {
		display: flex;
		position: absolute;
		width: 100%;
		bottom: 0px;
	}

	.thematic-map .regions .slide-bottom .content-bottom > div:nth-of-type(1) {
		flex: 2;
	}

	.thematic-map .regions .slide-bottom .content-bottom > div:nth-of-type(2) {
		flex: 1.6;
	}

	.thematic-map .regions .slide[data-slide-index="1"] .image .img-title-default-slide p,
	.thematic-map .regions .image .img-title {
		font-family: var(--font-display);
		letter-spacing: var(--tracking-wide);
	}

	.thematic-map .regions .slide-bottom .content-bottom .travel-times-details .time {
		display: flex;
		flex-direction: column;
		justify-content: space-evenly;
	}

	.thematic-map .regions .slide-bottom .content-bottom .travel-times-details .details p,
	.thematic-map .regions .slide-bottom .content-bottom .travel-times-details .time p {
		margin-bottom: 5px;
	}

	.thematic-map .regions .travel-time-title, .thematic-map .regions .views-title, .thematic-map .regions .services-title {
		margin-bottom: 5px;
	}
}

@media (min-width: 75em) {
	.thematic-map .regions h3 {
		font-size: var(--text-3xl);
		margin-bottom: 20px;
	}

	.thematic-map .regions .slide-bottom .content-bottom {
		gap: 25px;
	}

	.thematic-map .regions .slide-description {
		font-size: 18px;
    	line-height: var(--leading-normal);
	}

	.thematic-map .content .arrows-desktop {
		gap: 30px;
	}

	.thematic-map.slides .regions .glide__arrows {
		min-height: 90px;
	}

	.thematic-map .regions [data-poi] {
		height: 100%;
	}

	.thematic-map .regions .slide-bottom .content-bottom .transportation-services p {
		font-size: 18px;
	}

	.thematic-map .regions .slide-bottom .content-bottom .transportation-services span {
		font-size: 16px;
	}

	.thematic-map .regions .slide,
	.thematic-map .regions .slide .content-wrapper, 
	.thematic-map .regions .slide .content-wrapper .content {
		height: 100%;
	}

	.thematic-map .regions .travel-time-title, .thematic-map .regions .views-title, 
	.thematic-map .regions .services-title {
		font-size: 18px;
		margin-bottom: 10px;
	}

	.thematic-map .regions .travel-time-title, .thematic-map .regions .travel-times,
	.thematic-map .regions .travel-time-title, .thematic-map .regions .transportation-icons {
		margin-bottom: 15px;
	}

	.thematic-map .regions .slide-bottom .content-bottom .travel-times-details .time p, 
	.thematic-map .regions .slide-bottom .content-bottom .travel-times-details .details p {
		font-size: 16px;
	}

	.thematic-map .regions .slide-bottom {
		padding: 20px 19px 0px;
		margin-bottom: 0;
	}

	.thematic-map .regions .slide[data-slide-index="1"] .image .img-title-default-slide span {
		font-size: 45px;
	}

	.thematic-map .regions .slide[data-slide-index="1"] .image .img-title-default-slide p,
	.thematic-map .regions .image .img-title {
		font-size: 24px;
		font-weight: 300;
		margin-bottom: -10px;
		letter-spacing: var(--tracking-wide);
	}

	.thematic-map .regions .image .img-title {
		margin-bottom: 0px;
	}

	.thematic-map .regions .slide[data-slide-index="1"] .image .img-title-default-slide {
		padding: 10px 40px;
	}

	.thematic-map.slides .regions {
		grid-column: 2;
		grid-row: 1/ span 1;
		justify-self: end;
		align-self: center;
		width: 53vw;
		max-width: 575px;
		margin: 0;
		z-index: 10;
	}

	.thematic-map .map .map-inset {
		top: 25px;
		left: 20px;
	}

	.thematic-map .regions .slide-bottom .content-bottom .travel-times-details .time {
		display: flex;
		flex-direction: column;
		gap: 25px;
	}

}

@media (min-width: 90em) {

	.thematic-map.slides .regions {
		width: 63vw;
		max-width: 675px;
	}

	.thematic-map.slides .map {
		overflow-x: hidden;
	}

	.thematic-map .regions .slide-bottom .content-bottom .travel-times-details .time {
		gap: 0px;
	}

}

